

package gov.va.med.cds.rules;


import gov.va.med.cds.clinicaldata.DomainEntryPoint;


public class DomainEntryPointRule
    implements
        BooleanRuleInterface
{

    protected DomainEntryPoint entryPoint; // injected - required


    public boolean evaluate( Object o )
    {
        boolean b = false;

        if ( o != null && o instanceof DomainEntryPoint )
        {
            DomainEntryPoint entryPoint = (DomainEntryPoint)o;
            b = ( entryPoint != null && entryPoint.equals( this.entryPoint ) );
        }

        return b;
    }

    
    public void setEntryPoint( String entryPoint )
    {
        this.entryPoint = DomainEntryPoint.valueOf( entryPoint );
    }

}
